Loading...
Searching...
No Matches
Opm::EclThconrLaw< ScalarT, FluidSystem, ParamsT > Class Template Reference

Implements the total thermal conductivity relations specified by the ECL THCONR. More...

`#include <EclThconrLaw.hpp>`

## Public Types

using | Params = ParamsT
using | Scalar = typename Params::Scalar

## Static Public Member Functions

template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | thermalConductivity (const Params &params, const FluidState &fluidState)
| Given a fluid state, return the total thermal conductivity [W/m^2 / (K/m)] of the porous medium.

## Detailed Description

template<class ScalarT, class FluidSystem, class ParamsT = EclThconrLawParams<ScalarT>>
class Opm::EclThconrLaw< ScalarT, FluidSystem, ParamsT >

Implements the total thermal conductivity relations specified by the ECL THCONR.

The documentation for this class was generated from the following file:

- opm/material/thermal/EclThconrLaw.hpp